Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::RemoteSnmpDevice Struct Reference
Inheritance diagram for peripheral::GatewaySensorManager::RemoteSnmpDevice:

## Public Attributes

string | host
| host
Public Attributes inherited from peripheral::GatewaySensorManager::RemoteDevice
string | deviceId
| remote device id
boolean | disabled
| prevents usage of all sensor specifications which reference this device
string | name
| human readable remote device name
int | timeoutMs
| communication access timeout, 0 = default
int | retry
| communication retry count, 0 = default

## Detailed Description

Definition at line 335 of file GatewaySensorManager.idl.

## Member Data Documentation

## host

string peripheral::GatewaySensorManager::RemoteSnmpDevice::host

host

Definition at line 336 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl